<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@color/md_grey_100"
    android:orientation="vertical">

    <ScrollView
        android:id="@+id/ll_scroll_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">
            <View
                android:layout_width="match_parent"
                android:layout_height="4dp"
                android:background="@color/md_grey_100" />

            <LinearLayout
                style="@style/FromLinearLayoutItem"
                android:orientation="horizontal">
                <EditText
                    style="@style/EditTextStyle"
                    android:id="@+id/et_order_no"
                    android:hint="@string/hint_please_scan_no"

                    android:text=""/>
                <ImageButton
                    style="@style/ClearImg"
                    android:id="@+id/ib_order_no_clear"
                    />

                <include   layout="@layout/item_image_code" />
            </LinearLayout>
            <View
                android:layout_width="match_parent"
                android:layout_height="4dp"
                android:background="@color/md_grey_100" />

            <LinearLayout
                android:id="@+id/ll_container"
                style="@style/FromLinearLayoutItem"
                android:orientation="horizontal">
                <EditText
                    style="@style/EditTextStyle"
                    android:enabled="false"
                    android:id="@+id/et_container_code"
                    android:hint="@string/hint_please_scan_container_code"
                    android:text=""/>

                <ImageButton
                    android:id="@+id/ib_container_code_clear"
                    style="@style/ClearImg" />

                <include   layout="@layout/item_image_code" />
            </LinearLayout>


            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:background="@drawable/bg_white_et"
                android:gravity="center_vertical"
                android:orientation="vertical"

                android:paddingLeft="10dp"
                android:paddingRight="10dp">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="5dp"
                    android:paddingTop="5dp"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="总托盘数" />
                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="：" />
                    <TextView
                        android:id="@+id/tv_total_qty"
                        style="@style/tvLeftStyle"
                        android:textColor="@color/md_deep_orange_700"
                        android:text="0" />
                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="个" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="5dp"
                    android:paddingTop="5dp"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="未扫描托盘数" />
                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="：" />

                    <TextView
                        android:id="@+id/tv_wait_scan_qty"
                        style="@style/tvLeftStyle"
                        android:layout_width="wrap_content"
                        android:text="0"
                        android:textColor="@color/md_deep_orange_700" />
                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="个" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:paddingBottom="5dp"
                    android:paddingTop="5dp"
                    android:orientation="horizontal">

                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="已扫描托盘数" />
                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="：" />
                    <TextView
                        style="@style/tvLeftStyle"
                        android:id="@+id/tv_scan_qty"
                        android:textColor="@color/md_deep_orange_700"
                        android:text="0" />
                    <TextView
                        style="@style/tvLeftStyle"
                        android:text="个" />
                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1dp"
                android:background="@color/md_grey_100" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingBottom="5dp"
                android:paddingTop="5dp"
                android:orientation="horizontal">
                <TextView
                    android:layout_marginLeft="@dimen/dp_10"
                    style="@style/tvLeftStyle"
                    android:text="最近扫描：" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/bg_white_et"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:scrollbars="vertical"
                android:paddingTop="@dimen/dp_10"
                android:paddingBottom="@dimen/dp_10"
                >
                <android.support.v7.widget.RecyclerView
                    android:id="@+id/recyclerview"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="#fff"
                    android:overScrollMode="never"/>
            </LinearLayout>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_10"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginRight="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_4"
                android:background="@drawable/bg_white_et"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:padding="10dp">
                <TextView
                    style="@style/fontSize"
                    android:id="@+id/btn_confirm"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/dp_10"
                    android:layout_marginRight="@dimen/dp_10"
                    android:background="@drawable/bg_orange_item"
                    android:gravity="center"
                    android:text="完成装柜"
                    android:padding="10dp"
                    android:textColor="@color/white"
                    android:visibility="visible" />
            </LinearLayout>
        </LinearLayout>
    </ScrollView>


    <include layout="@layout/item_float_image" />
</LinearLayout>